<?php

namespace App\Http\Controllers\API_WEB\Entreprise;

use App\Http\Controllers\Controller;
use App\Http\Resources\EntrepriseResource;
use App\Models\Entreprise;
use Exception;
use Illuminate\Database\Eloquent\ModelNotFoundException;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class EntrepriseController_WEB extends Controller
{
    public function index()
    {
        try {
            $entreprise = Entreprise::all();
            return  EntrepriseResource::collection($entreprise);
        } catch (Exception $e) {
            return response()->json(["error" => $e->getMessage(), "status" => 500]);
        }
    }



    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {


    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        try {


            $entreprise = Entreprise::findOrFail($id)->paginate(20);
            return EntrepriseResource::collection($entreprise);
        } catch (ModelNotFoundException $e) {
            return response()->json(["error" => "Enterprise not found", "status" => 404]);
        } catch (Exception $e) {
            return response()->json(["error" => $e->getMessage(), "status" => 500]);
        }
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {


    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        try {

            $entreprise = Entreprise::findOrFail($id);

            DB::beginTransaction();

            // Delete the image associated with the enterprise from the media library
            if ($entreprise->getFirstMedia("EntrepriseImages")) {
                $entreprise->getFirstMedia("EntrepriseImages")->forceDelete();
            }

            // Delete the enterprise
            $entreprise->forceDelete();

            DB::commit();

            return response()->json(["message" => "Enterprise deleted successfully!", "status" => 200]);
        } catch (ModelNotFoundException $e) {
            DB::rollBack();
            return response()->json(["error" => "Enterprise not found", "status" => 404]);
        } catch (Exception $e) {
            DB::rollBack();
            return response()->json(["error" => $e->getMessage(), "status" => 500]);
        }
    }
}
