<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use Exception;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Validation\ValidationException;


class LoginController extends Controller
{
    public function Login(Request $request){

        try {
            $credentials = $request->only("email","password");
            if(Auth::attempt($credentials)){
                $user = Auth::user();
                $token = $user->createToken('AUTH_TOKEN')->accessToken;
                return response()->json(["message"=>"Login Successfull !!","user"=>$user ,'token'=>$token , "status"=>200]);
            }else{

                throw ValidationException::withMessages([
                    "error"=>['Invalid Credentials']
                ])->status(401);

            }
        } catch (Exception $e) {
            return response()->json([
                "error"=>"login Failed !!" ,
                'Error_message'=>$e->getMessage() ,
                "status"=>401
           ]);

    }
}}
