<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class FournisseurResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            "id"=> $this->id,
            "Name"=>$this->Name,
            "Entreprise"=>$this->entreprise ,
            "Telephone"=>$this->Telephone ,
            "Email"=>$this->Email ,
            "Pays"=>$this->Pays ,
            "Ville"=>$this->Ville ,
            "Adresse" =>$this->Adresse,
            "created_at"=> $this->created_at,
            "updated_at"=> $this->updated_at,
            "media" => $this->getMedia('FournisseurImages')->map(function ($mediaItem) {
                return $mediaItem->getUrl(); // or $mediaItem->getFullUrl() if you need the full URL
            }),
        ];
    }
}
