<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class UserResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
         "id"=>$this->id ,
         "name"=>$this->name ,
         "Entreprise"=>$this->entreprise ,
         "email"=>$this->email ,
         "Telephone"=>$this->telephone ,
         "Adresse"=>$this->Adresse ,
         "Ville"=>$this->Ville ,
         "created_at"=>$this->created_at ,
         "updated_at"=>$this->updated_at ,
         "media" => $this->getMedia('UserImages')->map(function ($mediaItem) {
                return $mediaItem->getUrl(); // or $mediaItem->getFullUrl() if you need the full URL
            }),
        "role"=>$this->getRoleNames()
    ];
    }
}
