<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Client extends Model
{
    use HasFactory , SoftDeletes;

     /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'clients';

    /**
     * The primary key associated with the table.
     *
     * @var string
     */
    protected $primaryKey = 'id';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'EntrepriseId',
        'Name',
        'Pays',
        'Ville',
        'Telephone',
        'Adresse',
    ];

    /**
     * Get the enterprise that owns the client.
     */
    public function entreprise() : BelongsTo
    {
        return $this->belongsTo(Entreprise::class, 'EntrepriseId');
    }
}
