<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Commande extends Model
{
    use HasFactory , SoftDeletes;

     /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'commandes';

    /**
     * The primary key associated with the table.
     *
     * @var string
     */
    protected $primaryKey = 'id';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'EntrepriseId',
        'ClientId',
        'Name',
        'Quantite',
        'BarCode',
        'Description',
    ];

    /**
     * Get the enterprise that owns the commande.
     */
    public function enterprise() : BelongsTo
    {
        return $this->belongsTo(Entreprise::class, 'EntrepriseId');
    }

    /**
     * Get the client that owns the commande.
     */
    public function client() : BelongsTo
    {
        return $this->belongsTo(Client::class, 'ClientId');
    }
}
