<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Spatie\MediaLibrary\HasMedia;
use Spatie\MediaLibrary\InteractsWithMedia;
use Spatie\Permission\Traits\HasRoles;

class Entreprise extends Model implements HasMedia
{
    use HasFactory , InteractsWithMedia , HasRoles , SoftDeletes;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'entreprises';

    protected $guard_name = 'api';

    /**
     * The primary key associated with the table.
     *
     * @var string
     */
    protected $primaryKey = 'id';

    /**
     * Indicates if the model's ID is auto-incrementing.
     *
     * @var bool
     */
    public $incrementing = true;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'Name',
        'ICE',
        'Email',
        'Telephone',
        'Adresse',
        'Pays',
        'Image',
        'Ville',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array
     */
    protected $casts = [
        'ICE' => 'integer',
        'Telephone' => 'integer',
    ];
}
