<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class Tache extends Model
{
    use HasFactory , SoftDeletes;

      /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'taches';

    /**
     * The primary key associated with the table.
     *
     * @var string
     */
    protected $primaryKey = 'id';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'EntrepriseId',
       // 'ZoneId',
        'UserId',
        'Name',
        'Date',
        'Type',
        'Category',
        'Status',
        'Message',
        'Description',
    ];

    /**
     * Get the enterprise that owns the task.
     */
    public function entreprise() : BelongsTo
    {
        return $this->belongsTo(Entreprise::class, 'EntrepriseId');
    }

    /**
     * Get the zone that owns the task.
     */
    // public function zone() : BelongsTo
    // {
    //     return $this->belongsTo(Zone::class, 'ZoneId');
    // }

    /**
     * Get the user that owns the task.
     */
    public function user() : BelongsTo
    {
        return $this->belongsTo(User::class, 'UserId');
    }
}
