<?php

namespace Database\Factories;

use App\Models\Entreprise;
use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Entreprise>
 */
class EntrepriseFactory extends Factory
{

    protected $model = Entreprise::class;
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'Name' => $this->faker->company,
            'ICE' => $this->faker->randomNumber(8),
            'Email' => $this->faker->unique()->safeEmail,
            'Telephone' => $this->faker->phoneNumber,
            'Adresse' => $this->faker->address,
            'Pays' => $this->faker->country,
            'Ville' => $this->faker->city,
        ];
    }
}
