<?php

namespace Database\Factories;

use App\Models\Fournisseur;
use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Fournisseur>
 */
class FournisseurFactory extends Factory
{

    protected $model = Fournisseur::class;
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'EntrepriseId' => 1, // Assuming Enterprise IDs range from 1 to 10
            'Name' => $this->faker->company,
            'Telephone' => $this->faker->phoneNumber,
            'Email' => $this->faker->unique()->safeEmail,
            'Pays' => $this->faker->country,
            'Ville' => $this->faker->city,
            'Adresse' => $this->faker->address,
        ];
    }
}
