<?php

namespace Database\Factories;

use App\Models\Nutrition;
use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Nutrition>
 */
class NutritionFactory extends Factory
{

    protected $model = Nutrition::class;
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'ChambreId' => 1, // Assuming Chambre IDs range from 1 to 10
            'EntrepriseId' => 1, // Assuming Enterprise IDs range from 1 to 10
            'FournisseurId' => 1, // Assuming Fournisseur IDs range from 1 to 10
            'Image' => $this->faker->imageUrl(),
            'BarCode' => $this->faker->ean13,
            'Name' => $this->faker->word,
            'DLCDate' => $this->faker->dateTimeBetween('now', '+1 year')->format('Y-m-d'),
            'DDMDate' => $this->faker->dateTimeBetween('now', '+1 year')->format('Y-m-d'),
            'ExpirationAlert' => $this->faker->boolean,
            'Category' => $this->faker->word,
            'Description' => $this->faker->sentence,
        ];
    }
}
