<?php

namespace Database\Factories;

use App\Models\NutritionTraceability;
use Illuminate\Database\Eloquent\Factories\Factory;

class NutritionTraceabilityFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = NutritionTraceability::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        return [
            'CommandeId' => 1, // Assuming Commande IDs range from 1 to 10
            'EntrepriseId' => 1, // Assuming Enterprise IDs range from 1 to 10
            'NutritionId' => 1, // Assuming Nutrition IDs range from 1 to 10
            'UserId' => 1, // Assuming User IDs range from 1 to 10
            'Unite' => $this->faker->randomElement(["kg","L","ml","g"]),
            'Quantite' => $this->faker->randomNumber(2),
            'NonConformities' => $this->faker->boolean,
            'Raison' => $this->faker->sentence,
        ];
    }
}
