<?php

namespace Database\Factories;

use App\Models\Tache;
use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Tache>
 */
class TacheFactory extends Factory
{

    protected $model = Tache::class;
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'EntrepriseId' => 1, // Assuming Enterprise IDs range from 1 to 10
            //'ZoneId' => 1, // Assuming Zone IDs range from 1 to 10
            'UserId' => 1, // Assuming User IDs range from 1 to 10
            'Name' => $this->faker->word,
            'Date' => $this->faker->dateTimeBetween('-1 year', 'now')->format('Y-m-d H:i:s'),
            'Type' => $this->faker->randomElement(['Maintenance', 'Cleaning', 'Security', 'Other']),
            'Category' => $this->faker->randomElement(['Task', 'Issue', 'Reminder']),
            'Status' => $this->faker->randomElement(["Afaire","enCour","Traite","Bloque"]),
            'Message' => $this->faker->sentence,
            'Description' => $this->faker->paragraph,
        ];
    }
}
