<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chambres', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger("ZoneId");
            $table->string('Name')->nullable();
            $table->unsignedBigInteger('EntrepriseId');
            $table->double("Surface")->nullable();
            $table->double("Temperature")->nullable();
            $table->foreign("EntrepriseId")->references("id")->on("entreprises")->onDelete("cascade");
            $table->foreign("ZoneId")->references("id")->on("zones")->onDelete("cascade");
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chambres');
    }
};
