<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('equipements', function (Blueprint $table) {
            $table->id();
            $table->string('Name');
            $table->unsignedBigInteger("ZoneId");
            $table->unsignedBigInteger("EntrepriseId");
            $table->string("Description");
            $table->foreign("EntrepriseId")->references("id")->on("entreprises")->onDelete("cascade");
            $table->foreign("ZoneId")->references("id")->on("zones")->onDelete("cascade");
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('equipements');
    }
};
