<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('fournisseurs', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger("EntrepriseId");
            $table->string("Name");
            $table->string("Image")->nullable();
            $table->string("Telephone");
            $table->string("Email")->unique();
            $table->string("Pays")->nullable();
            $table->string("Ville")->nullable();
            $table->string("Adresse");
            $table->foreign("EntrepriseId")->references("id")->on("entreprises")->onDelete("cascade");
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('fournisseurs');
    }
};
