<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('nutritions', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger("ChambreId");
            $table->unsignedBigInteger("EntrepriseId");
            $table->unsignedBigInteger("FournisseurId");
            $table->string("Image");
            $table->bigInteger("BarCode");
            $table->string("Name");
            $table->date("DLCDate")->nullable();
            $table->date("DDMDate")->nullable();
            $table->boolean("ExpirationAlert")->nullable();
            $table->string("Category")->nullable();
            $table->string("Description")->nullable();
            $table->foreign("ChambreId")->references("id")->on("chambres")->onDelete("cascade");
            $table->foreign("EntrepriseId")->references("id")->on("entreprises")->onDelete("cascade");
            $table->foreign("FournisseurId")->references("id")->on("fournisseurs")->onDelete("cascade");
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('nutrition');
    }
};
