<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('taches', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger("EntrepriseId");
            //$table->unsignedBigInteger("ZoneId");
            $table->unsignedBigInteger("UserId");
            $table->string("Name");
            $table->dateTime("Date");
            $table->string("Type");
            $table->string("Category")->nullable();
            $table->enum("Status", ["Afaire","enCour","Traite","Bloque"])->nullable();
            $table->string("Message")->nullable();
            $table->text("Description")->nullable();
            $table->foreign("EntrepriseId")->references("id")->on("entreprises")->onDelete("cascade");
            //$table->foreign("ZoneId")->references("id")->on("zones")->onDelete("cascade")->nullable();
            $table->foreign("UserId")->references("id")->on("users")->onDelete("cascade");
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('taches');
    }
};
