<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('commandes', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger("EntrepriseId");
            $table->unsignedBigInteger("ClientId");
            $table->string("Name")->nullable();
            $table->integer("Quantite");
            $table->bigInteger("BarCode");
            $table->string("Description")->nullable();

            $table->foreign("EntrepriseId")->references("id")->on("entreprises")->onDelete("cascade");
            $table->foreign("ClientId")->references("id")->on("clients")->onDelete("cascade");
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('commandes');
    }
};
