<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('nutrition_traceabilities', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger("CommandeId")->nullable();
            $table->unsignedBigInteger("EntrepriseId");
            $table->unsignedBigInteger("NutritionId");
            $table->unsignedBigInteger("UserId");

            $table->enum("Unite",["kg","L","ml","g"]);
            $table->double("Quantite");
            $table->boolean("NonConformities");
            $table->string("Raison");

            $table->foreign("CommandeId")->references("id")->on("commandes")->onDelete("cascade");
            $table->foreign("EntrepriseId")->references("id")->on("entreprises")->onDelete("cascade");
            $table->foreign("NutritionId")->references("id")->on("nutritions")->onDelete("cascade");
            $table->foreign("UserId")->references("id")->on("users")->onDelete("cascade");

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('nutrition_traceabilities');
    }
};
