<?php

use App\Events\RegionEvent;
use App\Http\Controllers\API_MOBILE\Chambre\ChambreController_MOBILE;
use App\Http\Controllers\API_MOBILE\Client\ClientController_MOBILE;
use App\Http\Controllers\API_MOBILE\Entreprise\EntrepriseController_MOBILE;
use App\Http\Controllers\API_MOBILE\Equipement\EquipementController_MOBILE;
use App\Http\Controllers\API_MOBILE\Fournisseur\FournisseurController_MOBILE;
use App\Http\Controllers\API_MOBILE\Nutrition\NutritionController_MOBILE;
use App\Http\Controllers\API_MOBILE\NutritionTraceability\NutritionTraceabilityController_MOBILE;
use App\Http\Controllers\API_MOBILE\Permission\PermissionController_MOBILE;
use App\Http\Controllers\API_MOBILE\Role\RoleController_MOBILE;
use App\Http\Controllers\API_MOBILE\Tache\TacheController_MOBILE;
use App\Http\Controllers\API_MOBILE\User\UserController_MOBILE;
use App\Http\Controllers\API_MOBILE\Zone\ZoneController_MOBILE;
use App\Http\Controllers\API_WEB\Chambre\ChambreController_WEB;
use App\Http\Controllers\API_WEB\Client\ClientController_WEB;
use App\Http\Controllers\API_WEB\Entreprise\EntrepriseController_WEB;
use App\Http\Controllers\API_WEB\Equipement\EquipementController_WEB;
use App\Http\Controllers\API_WEB\Fournisseur\FournisseurController_WEB;
use App\Http\Controllers\API_WEB\Nutrition\NutritionController_WEB;
use App\Http\Controllers\API_WEB\NutritionTraceability\NutritionTraceabilityController_WEB;
use App\Http\Controllers\API_WEB\Permission\PermissionController_WEB;
use App\Http\Controllers\API_WEB\Role\RoleController_WEB;
use App\Http\Controllers\API_WEB\Tache\TacheController_WEB;
use App\Http\Controllers\API_WEB\User\UserController_WEB;
use App\Http\Controllers\API_WEB\Zone\ZoneController_WEB;
use App\Http\Controllers\Auth\ForgotPasswordController;
use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\Auth\LogoutController;
use App\Http\Controllers\Auth\RegisterController;
use App\Http\Controllers\Auth\ResetPasswordController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

//API AUTH

Route::prefix('Auth')->group(function () {

    //Register
    Route::post("/Register", [RegisterController::class, "register"]);
    //Login
    Route::post("/Login", [LoginController::class, "login"]);
    //Logout
    Route::post("/Logout", [LogoutController::class, "logout"])->middleware("auth:api");
    //Forgot Password
    Route::post("/ForgotPassword", [ForgotPasswordController::class, "getUserInfo"]);
    //Reset Password
    Route::post("/ResetPassword", [ResetPasswordController::class, "resetPassword"]);
});

//API WEB

Route::prefix('WEB')->group(function () {
    //Entreprise
   Route::apiResource('Entreprise', EntrepriseController_WEB::class);

   //Fournisseur

   Route::get('Fournisseur/all',[FournisseurController_WEB::class,'allFournisseur']);
   Route::apiResource('Fournisseur', FournisseurController_WEB::class);


   //Zone
   Route::get('Zone/all',[ZoneController_WEB::class,'allZone']);
   Route::apiResource('Zone', ZoneController_WEB::class);


   //Chambre
   Route::get("Chambre/all", [ChambreController_WEB::class, "allChambre"]);
   Route::apiResource('Chambre', ChambreController_WEB::class);


   //Equipement
   Route::apiResource('Equipement', EquipementController_WEB::class);

   //Client
   Route::apiResource("Client" , ClientController_WEB::class);

   //Nutrition
   Route::get("Nutrition/all",[NutritionController_WEB::class,"allNutrition"]);
   Route::apiResource('Nutrition', NutritionController_WEB::class);
   Route::get("NutritionById/{id}",[NutritionController_WEB::class,"showById"]);

   //User
   Route::get("User/show/{id}",[UserController_WEB::class,"ShowByUserId"]);
   Route::apiResource('User', UserController_WEB::class);

   //Role
   Route::apiResource("Role",RoleController_WEB::class);

   //Permission
   Route::apiResource("Permission",PermissionController_WEB::class);

   //Tache
   Route::apiResource('Tache', TacheController_WEB::class);
   Route::get("TacheById/{id}",[TacheController_WEB::class,"ShowById"]);

   //Nutrition Tracability
   Route::apiResource("NutritionTracability" ,NutritionTraceabilityController_WEB::class);

   //Pusher Test
   Route::post("/Pusher/TestPusher",function (){

    $var = "hello world";
    event(new RegionEvent($var));

      return response()->json([
        "message"=>"Region Pusher",
      ]);
   });

});
// API MOBILE
Route::prefix('MOBILE')->group(function () {
   //Entreprise
   Route::apiResource('Entreprise', EntrepriseController_MOBILE::class);
   //Fournisseur
   Route::apiResource('Fournisseur', FournisseurController_MOBILE::class);
   //Zone
   Route::apiResource('Zone', ZoneController_MOBILE::class);
   //Chambre
   Route::apiResource('Chambre', ChambreController_MOBILE::class);
   //Equipement
   Route::apiResource('Equipement', EquipementController_MOBILE::class);
   //Client
   Route::apiResource("Client" , ClientController_MOBILE::class);
   //Nutrition
   Route::apiResource('Nutrition', NutritionController_MOBILE::class);
   //User
   Route::apiResource('User', UserController_MOBILE::class);
   //Role
   Route::apiResource("Role",RoleController_MOBILE::class);
   //Permission
   Route::apiResource("Permission",PermissionController_MOBILE::class);
   //Tache
   Route::apiResource('Tache', TacheController_MOBILE::class);
   //Nutrition Tracability
   Route::apiResource("NutritionTracability" ,NutritionTraceabilityController_MOBILE::class);
});








